# CREATE A BOX COLOR SCALE GIF IMAGE
#===================================
verbose

send_set_verbose

set_project ProjectName="COLORSCALE"  DataPlanesOnDisk=Yes OverlapDataPlanes=No

set_workpace_geometry PlaneWidth=1000 PlaneHeight=1000  DataType=0 CellWidth=1000 CellHeight=1000

send_show_view ViewPlane=1

#select the colorscale 
send_color_scale_name "RAINBOW1"

# fill the data plane with 255
send_algebra  Plane=1 X=0 Y=0 Width=1000 Height=1000 CutMin=0.0 CutMax=256.0 Formula="C[1,1]=255"

# clear graphics overlay
send_clear_graph X=0 Y=0 Width=1000 Height=1000
send_clear_mask X=0 Y=0 Width=1000 Height=1000

# set color level 255 to white
send_color_level  level=255 red=255 green=255 blue=255

#draw labels in the graphic overlay
send_draw_box_label X=100 Y=100 Width=600 Height=100  \
                                TickColor="Black" ForegroundColor="Black" BackgroundColor="Transparent" \
                                TextFormat="%.2f" FontName="Courb.ttf" \
                                SizeFactor=1.0 UpLeftSide=Yes   \
                                Labels=" 0   1.00  128  Clouds 254 4.5 190 65.3" 

#add a frame to the file
send_create_frame Size=15 Red=200 Green=200 Blue=200 FontName=""Bell.ttf" TitleColor="Black" SizeFactor=2.0 \
		TopTitle="My best color scale" \
		BottomTitle="(Msphinx 21 Mars 2003)" \

#create the output file
send_create_file ViewPlane=1 X=0 Y=0 Width=800 Height=300 FileFormat="GIF" FileName="COLOR_SCALE_BOX.gif"
