#  DRAW A MAP AND ADD DOTS AND LABELS
#=====================================
verbose

send_set_verbose

set_project ProjectName="AERONET" DataPlanesOnDisk=Yes

set_workpace_geometry PlaneWidth=800 PlaneHeight=600  DataType=0 CellWidth=800 CellHeight=600

send_show_view ViewPlane=1

send_destroy_all_data

send_color_scale_name  "GREY"

send_color_level  level=0 red=255 green=255 blue=255

set_projection_to_geometry XTo=0 YTo=0 WidthTo=800 HeightTo=600 ProjectionTo="LINEAR"\
			   LatitudeMinTo=30.0000 LatitudeMaxTo=70.0000 \
			   LongitudeMinTo=-20.0000 LongitudeMaxTo=40.0000  \

send_grids LatitudeMin=-90.0000 LatitudeMax=90.0000 LatitudeStep=5.0 \
                    LongitudeMin=-180.0000 LongitudeMax=180.0000 LongitudeStep=5.0 \
                    Color="Black"

send_world_map Coastlines=yes Boundaries=No CoastlineColor=Black  BoundaryColor=Magenta \
                RiversRank1=yes RiversRank2=yes RiversRank5=no RiversRank6=no \
                ColorRank1=Blue ColorRank2=Blue ColorRank5=SIENNA ColorRank6=SIENNA

send_draw_latitude_labels ForegroundColor="Red" BackgroundColor="TRANSPARENT" Border=0 FontName="Courb.ttf" \
                        SizeFactor=.8 Rotation=0.0 TextFormat="%.0f" \
                        Longitude=-18.0 LatitudeMin=30.0 LatitudeMax=70.0 LatitudeStep=5.0

send_draw_longitude_labels  ForegroundColor="Red" BackgroundColor="TRANSPARENT" Border=0 FontName="Courb.ttf" \
                        SizeFactor=.8 Rotation=0.0 TextFormat="%.0f" \
                        Latitude=32.5 LongitudeMin=-15.0 LongitudeMax=35.0 LongitudeStep=5.0

send_create_frame Size=20  red=100 green=100 blue=100  FontName="Bell.ttf" TitleColor="White" SizeFactor=1.0 \
                        TopTitle="FULLMAPZOOM.gif"


send_draw_text X1=4 Y1=4 Border=0 ForegroundColor="BLUE" BackgroundColor="TRANSPARENT" \
                FontName="Georgiab.ttf" SizeFactor=1.0 Rotation=0.0 Frame=No \
           Text="SIMPLE_MSPHINX_DRAWING_MAPS"

send_draw_projected_icon XTo= 0 YTo= 50 IconName="Circle" IconSize=.30 IconColor="RED"


send_create_file ViewPlane=1 X=0 Y=0 Width=800 Height=600 FileFormat="GIF"  quality=90 \
        "FULLMAPZOOM.gif"

