#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define TRUE        1
#define FALSE       0

float param[] = {0.0,0.0,0.0, 0.0,0.0,0.0, 0.0,0.0};

main(argc, argv)
int      argc;
char    **argv;
{ 

/* image lines/columns geometry */
int x=0,  y=0,  width=1000,  height=500;

/* FROM geometry */
float ymif=-90,  ymaf=90,  xmif=-180,  xmaf=180;
/* TO geometry */
float ymit=-90,  ymat=90,  xmit=-180,  xmat=180;
/* GRIDS geometry */
float ymi=-90,  yma=90,  ystep=10,  xmi=-180,  xma=180,  xstep=10;


  send_set_verbose();
  set_workpace_geometry(1000,1000,0,1000,1000);
/* Clear graph area */
  send_clear_graph(x,y,width,width);
/* Clear mask area */
  send_clear_mask(x,y,width,width);

/* Show true color mode */
  send_show_view(0);

/* Read an image R/G/B */
  send_read_other(0,x,y,width,height,FALSE,"../IMAGES/LINEAR_MAYFEB.tif");

/* Smooth image RED/GREEN/BLUE*/
  send_convolution(0,x,y,width,width,"SMOOTH",
    		2,2,8421.0,"MATRIX",FALSE,"");

  printf("Do an ORTHOGRAPHIC projection RED/GREEN/BLUE\n");
  param[3] = -10; /*center longitude shift*/
  param[2] =  30; /*center latitude shift*/
  set_projection_to_geometry(x,y,width,width,"ORTHOGRAPHIC",
			  ymit,ymat,xmit,xmat,param);

  send_projection(FALSE,1,1,x,y,width,height,"LINEAR",
  ymif,ymaf,xmif,xmaf,param);
  send_projection(FALSE,2,2,x,y,width,height,"LINEAR",
  ymif,ymaf,xmif,xmaf,param);
  send_projection(FALSE,3,3,x,y,width,height,"LINEAR",
  ymif,ymaf,xmif,xmaf,param);

  printf("Create a CONTINENT mask \n");
  send_create_mask(x,y,width,width,"AND",FALSE,TRUE,"RED",
    " 0 <red <50  0 <green <50 ");

  send_enhance(1,x,y,width,width,TRUE,10.0,30.0);
  send_enhance(2,x,y,width,width,TRUE,10.0,30.0);
  send_enhance(3,x,y,width,width,TRUE,2.0,180.0);


 printf("Draw a ORTHOGRAPHIC grids\n");
  send_grids(0.0,yma,ystep,xmi,xma,xstep,"RED",0,1);

  printf("Draw an ORTHOGRAPHIC grids\n");
  send_grids(ymi,0.0,1.0,xmi,xma,1.0,"red",0,1);

  printf("Draw an ORTHOGRAPHIC map\n");
  send_world_map("GREEN",0,1,1);

  send_unset_verbose();
}
