#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define TRUE        1
#define FALSE       0

#define T_CHAR   0
#define T_USHORT 1
#define T_SHORT  2
#define T_INT    3
#define T_FLOAT  4
#define T_SCHAR  5
#define T_UINT   6
#define T_DOUBLE 7


main(argc, argv)
int      argc;
char    **argv;
{ float *image,min,max,f,xp,yp;
  int size,i,j;
  /*output image position (line,column)*/
  int x=50,  y=80,  width=512,  height=512;

  /* compute image */
  size = width * height;
  image = (char *) malloc( size * sizeof(float));
  min=9999999; max=-99999999;
  xp = 12.0 / width;
  yp = 6.0 / height;
  for (i=0;i<height;i++){
  for (j=0;j<width;j++){
  f = sin((double)( j * xp - 6.0)/( i * yp - 3.0 + 0.01));
  *(image + i * width + j ) = f;
  if( f < min ) min = f;
  if( f > max ) max = f;
  }}

  printf("min=%f max=%f\n",min,max);

  send_set_verbose();

  send_image(-1,x,y,width,height,T_FLOAT,image);
  free(image);

  send_write_simple(-1,x,y,width,height,T_FLOAT,FALSE,FALSE,0.0,0.0,0.0,"SF_FLOAT");
  send_write_simple(-1,x,y,width,height,T_FLOAT,FALSE,TRUE,0.0,0.0,0.0,"SF_FLOAT_C");
  send_write_simple(-1,x,y,width,height,T_USHORT,FALSE,TRUE,0.0,0.0,1000.0,"SF_USHORT");
  send_write_simple(-1,x,y,width,height,T_USHORT,FALSE,TRUE,-.5,.5,1000.0,"SF_USHORT1000");
  send_write_simple(-1,x,y,width,height,T_USHORT,TRUE,TRUE,0.0,0.0,1000.0,"SF_USHORT_S");
  send_write_simple(-1,x,y,width,height,T_UINT,TRUE,TRUE,0.0,0.0,2048.0,"SF_UINT_S");
  send_write_simple(-1,x,y,width,height,T_CHAR,FALSE,TRUE,0.0,0.0,0.0,"SF_UCHAR");
  send_write_simple(-1,x,y,width,height,T_DOUBLE,FALSE,TRUE,0.0,0.0,0.0,"SF_DOUBLE");
}
