# PLOT ADD MODE OPTION
#=====================
#verbose

send_set_verbose

set_project ProjectName="MGRAPH" DataPlanesOnDisk=Yes

set_workpace_geometry PlaneWidth=1000 PlaneHeight=500  DataType=0 CellWidth=1000 CellHeight=500

send_show_view ViewPlane=0

send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No    \
            FileName="./LINEAR_MAYFEB.tif"


send_plot_bidimentional XPlane=1 XPlaneX=271 XPlaneY=232 XWidth=100 XHeight=155 \
                	YPlane=2 YPlaneX=271 YPlaneY=232 YWidth=100 YHeight=155 \
                	XMask=No    YMask=No    \
                	Color="Green" MgraphPlotMode="NEWCURVE"

send_plot_bidimentional XPlane=1 XPlaneX=271 XPlaneY=232 XWidth=100 XHeight=155 \
                	YPlane=3 YPlaneX=271 YPlaneY=232 YWidth=100 YHeight=155 \
                	XMask=No    YMask=No    \
                	Color="Blue" MgraphPlotMode="CURVEADDMODE"


send_Mgraph 
<<
PlotTitle     Title="(POLDER) Red / Green / Blue" Height=1.50
XTitle        Title="Red" Height=0.00
YTitle        Title="Green Blue" Height=0.00
XAxis Show=Yes     Scale=Linear    Min=0    Max=255  Delta=-1  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.50   CFormat="%.0f"  Angle=0.0
YAxis Show=Yes     Scale=Linear    Min=0    Max=255    Delta=-1  Color=Black  Thickness=1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.50   CFormat="%.0f"  Angle=0.0

FitResultFormat "Correlation: %.f  Y = %.6f X + %.3f",cor,c1,c0
Fit     Function=Polynomial Curve=-1  Min=-1 Max=-1 Npoints=100 Step=-1 Order=1   [Mode=Add|Replace|Merge] Variable=X \
	FIT_RESULT_AS_ANNOTATION=Yes XStart=0.25%  YStart=10.00% Color=Black Style=Plain Height=1.0

DrawCell     XStart=2.0000   YStart=27.000   Width=17.00   Height=27.0\
	Type=Color   Orientation=Landscape  Mode=Margin[|ScaleToFrame]

SendTo[EPS]File   File="./printMGRAPHAM.ps"  Type=Color    [Copies=1]   Orientation=Portrait
#SendToPrinter  Command="/usr/LOA/bin/vidpsINF"  Type=Color   [Copies=1]   Orientation=Portrait
>>
