#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define TRUE        1
#define FALSE       0

#define T_CHAR   0
#define T_USHORT 1
#define T_SHORT  2
#define T_INT    3
#define T_FLOAT  4

main(argc, argv)
int      argc;
char    **argv;
{ unsigned char *imagec,*data;
  short *images;
  int *imagei;
  float *imagef;
  int size,i,j,n,xp,yp,type;
  float x,y,f;

  /* COMPUTE 4 IMAGES in char short int and float */

  size = 512;
  imagec = (unsigned char *) malloc( size * size );
  images = (short *) malloc( size * size * 2);
  imagei = (int *) malloc( size * size * 4);
  imagef = (float *) malloc( size * size * 4);
  n = 0;
  x = 12.0 / size;
  y = 6.0 / size;
  for (i=0;i<size;i++){
  for (j=0;j<size;j++){
  f = sin((double)( j * x - 6.0)/( i * y - 3.0 + 0.01));
  *(imagec + n ) = (unsigned char) (f * 128 + 128);
  *(images + j * size + i ) = (short ) (f * 32767);
  *(imagei + j * size + i ) = (int) (f * 10000);
  *(imagef + n ) = f;
  n++;
  }}

  /*SEND TO MSPHINX in the visualized plane no (-1) */

  /* send_image(plane no, x position, y position, size X , size Y,  Image type, buffer) */
  /*  x position, y position (0,0) upper left */

  xp=0; yp=0;
  printf(" %d %d : Send image CHAR\n",xp,yp);
  send_image(-1,xp,yp,size,size,T_CHAR,imagec);

  xp=512; yp=0;
  printf(" %d %d : Send image T_SHORT\n",xp,yp);
  send_image(-1,xp,yp,size,size,T_SHORT,images);

  xp=0; yp=512;
  printf(" %d %d : Send image INT\n",xp,yp);
  send_image(-1,xp,yp,size,size,T_INT,imagei);

  xp=512; yp=512;
  printf(" %d %d : Send image FLOAT\n",xp,yp);
  send_image(-1,xp,yp,size,size,T_FLOAT,imagef);

printf("START READ\n");
/* READ FROM SPHINX */
  data = (float *) malloc( size * size * 4);
  memset(data,(char)0,size*size*sizeof(float));
  xp=0; yp=0;
  read_image(-1,xp,yp,size,size,&type,data);
printf(" %d %d : read image type %d\n",xp,yp,type);
  xp=600; yp=600;
  send_image(-1,xp,yp,size,size,type,data);

  free(imagec);
  free(images);
  free(imagei);
  free(imagef);
  free(data);


}
