#CREATE A GEOTIFF REPROJECTED IMAGE FILE FROM A MODIS LEVEL1B
#=============================================================
verbose
clear_data
set_output_directory            /home/louis/OUTPUTS
set_input_directory             /home/louis/MODIS_ALL_IMAGES/

set_projection_to_geometry ProjectionTo="MILLER" WidthTo=1000 HeightTo=1000 \
                            LatitudeMinTo=25.7 LatitudeMaxTo=47.1 \
			    LongitudeMinTo=41 LongitudeMaxTo=72.3
#
add_maps        	Coastlines=yes CoastlineColor=Green
#add_grids color=Red LatitudeMin=-90.0  LatitudeMax=90.0 LatitudeStep=1.0 \
#                LongitudeMin=-180.0 LongitudeMax=180.0 LongitudeStep=1.0
set_image_background            color=black 
set_input_hdf_file   MOD021KM.A2001140.0720.002.2001144040825.hdf
create_MODIS_RGB_Mosaic    Filename="GEOTIFF_MILLER"  RGBMode="Log"  CreateJPEG=no  CreateGEOTIFF=yes
