# READ AN ASCII FILE WITH A IRRREGULAR GRID SURFACE COMPUTE AN IMAGE AND CREATE A GIF FILE
# READ AN ASCII FILE WITH A PLOT AND CREATE A GIF FILE
#=============================================================
verbose

send_set_verbose

set_workpace_geometry PlaneWidth=1024 PlaneHeight=1024  DataType=0 CellWidth=1024 CellHeight=1024

send_show_view ViewPlane=3

send_clear_area Plane=-1 X=0 Y=0 Width=768 Height=768

send_color_scale_name "RAINBOW4"

send_color_scale_name "../IMAGES/LUT_READ_TEST"

send_read_ascii IrregularGrid Plane=-1 X=0 Y=0 Width=768 Height=512  \
		ColumsNumber=0 LinesNumber=0 LinesToSkip=0 UndefValue=-8421 DistanceFactor= 1\
		XColumn=1 YColumn=2 ZColumn=3  \
		NearestPixelInterpolation=Yes \
		FileName="../IMAGES/SURFACE_IRREGULAR"


send_read_ascii Plot  X= 0 Y=0 Width=768 Height=512  \
			Xmini=0 Xmaxi= 0 Ymini= 0 Ymaxi=0 \
			Color="GREEN" Thickness=2 \
			FileName="../IMAGES/ASCII_DRAWING"

send_create_file ViewPlane=-1 X=0 Y=0 Width=768 Height=512 WidthTo=512 HeightTo=0 FileFormat="tif" \
         FileName="ASCII_IRREG_SURFACE.tif"

send_unset_verbose
