# COMPUTE AND IMAGE DO FILTERS ON LINES AND COLUMNS AND PERFORM A SOBEL CONVOLUTION
#==================================================================================
verbose

send_set_verbose

set_workpace_geometry PlaneWidth=1024 PlaneHeight=1024  DataType=0 CellWidth=512 CellHeight=512

send_show_view ViewPlane=3

send_destroy_all_data

send_color_scale_name "GREY"

send_system "cc ../DEMO_DRAW/send_draw_com.c -o ../DEMO_DRAW/send_draw_com -lm;../DEMO_DRAW/send_draw_com MYIMAGE"

send_read_simple Plane=3 X=0 Y=0 Width=512 Height=512 DataWidth=512  DataType=0 [CHAR] Expand=No  \
		  FileName="MYIMAGE"


send_convolution   Plane=3 X=0 Y=0 Width=512 Height=512 \
              Name="OWNER"  Lines=9 Columns=1 \
              Threshold=8421.000000 Style="LINES"  Mask=No     \
            Matrix="0,0,0,1,1,1,0,0,0"

send_convolution   Plane=3 X=0 Y=0 Width=512 Height=512 \
              Name="OWNER"  Lines=1 Columns=9 \
              Threshold=8421.000000 Style="COLUMNS"  Mask=No     \
            Matrix="0,0,0,1,1,1,0,0,0"

send_convolution   Plane=3 X=0 Y=0 Width=512 Height=512 \
              Name="SOBEL"  Lines=1 Columns=9 \
              Threshold=8421.000000 Style="MATRIX"  Mask=No     \
		Matrix=""

send_unset_verbose

