# READ AN IMAGE AND PLOT HISTOGRAMS WITH CURVEADDMODE OPTION
#============================================================================
verbose

send_set_verbose

set_workpace_geometry PlaneWidth=1000 PlaneHeight=500  DataType=0 CellWidth=1000 CellHeight=500

send_show_view ViewPlane=0

send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No    \
            FileName="../IMAGES/LINEAR_MAYFEB.tif"

send_plot_histogram PlaneFrom=1 PlaneTo=1 X1=164 Y1=47 \
                width=482 height=256  Xmin=0.0 Xmax=250.0 ClassSize=1.0 \
                Cumulative=No YPercent=No ZeroClassFilter=No RunOverAllCells=No Mask=No \
		HistoType="CURVE" Color="Red" MgraphPlotMode="NEWCURVE"

send_plot_histogram PlaneFrom=2 PlaneTo=2 X1=164 Y1=47 \
                width=482 height=256  Xmin=0.0 Xmax=250.0 ClassSize=1.0 \
                Cumulative=No YPercent=No ZeroClassFilter=No RunOverAllCells=No Mask=No \
		HistoType="CURVE" Color="Green" MgraphPlotMode="CURVEADDMODE"

send_plot_histogram PlaneFrom=3 PlaneTo=3 X1=164 Y1=47 \
                width=482 height=256  Xmin=0.0 Xmax=250.0 ClassSize=1.0 \
                Cumulative=No YPercent=No ZeroClassFilter=No RunOverAllCells=No Mask=No \
		HistoType="CURVE" Color="Blue" MgraphPlotMode="CURVEADDMODE"

send_Mgraph 
<<
PlotTitle     Title="Histogram ADDMODE" Height=1.50
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No]

XTitle        Title="Column number" Height=1.00
XAxis Show=Yes     Scale=Linear    Min=0    Max=255  Delta=-1  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat="%.0f"  Angle=0.0
YTitle        Title="Pixel nb" Height=0.00
YAxis Show=Yes     Scale=Linear    Min=-1    Max=-1    Delta=-1  Color=Black  Thickness=1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f"  Angle=0.0

DrawCell     XStart=2.00   YStart=2.0      Width=25.00   Height=16.0\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]

SendTo[EPS]File   File="./printMGRAPH3.ps"  Type=Color    [Copies=1]   Orientation=Landscape
#SendToPrinter  Command="/usr/LOA/bin/vidpsINF"  Type=Color   [Copies=1]   Orientation=Portrait
>>

