#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define TRUE        1
#define FALSE       0

#define T_CHAR   0
#define T_USHORT 1
#define T_SHORT  2
#define T_INT    3
#define T_FLOAT  4
#define T_SCHAR  5
#define T_UINT   6


main(argc, argv)
int      argc;
char    **argv;
{
  char *image;
  int size,width=512,height=512,i,j,n,xp=0,yp=0;
  float x,y,f;
  unsigned short r[256],g[256],b[256];
  /* enhance parameters min,max */
  float aa=10.0,bb=220.0;

  /* clear all view plane */
  send_set_verbose();
  set_project("DRAW.prj",FALSE,FALSE);
  set_view_planes(1,2,3);
  set_workpace_geometry(1024,1024,0,512,512);
  send_show_view(3);
  send_clear_all(-1,0,0,800,800);

  /* compute one image */
  size = width * height;
  image = (char *) malloc( size * 4);
  n = 0;
  x = 12.0 / width;
  y = 6.0 / height;
  for (i=0;i<height;i++){
  for (j=0;j<width;j++){
  f = sin((double)( j * x - 6.0)/( i * y - 3.0 + 0.01));
  *(image + i * width + j ) = (char) (f * 256);
  n++;
  }}

  printf(" %d %d : Send image INT\n",xp,yp);
  send_image(-1,xp,yp,width,height,T_CHAR,image);
  free(image);

  /* enhance image */
  send_enhance(-1,xp,yp,width,height,FALSE,aa,bb);

  send_color_scale_name("Grey");

  send_draw_scale(-1,0,600,512,100,0,255);
  send_draw_box(0,600,512,700,2,"SOLID","Red");
  send_draw_scale(-1,600,0,100,512,0,255);
  send_draw_box(600,0,700,512,2,"SOLID","Red");

  send_draw_line(50,50,300,300,8,"SOLID","BLUE");
  send_draw_box(0,0,512,512,4,"SOLID","CYAN");
  send_draw_arrow(0,100,200,250,4,10.0,"SOLID","RED");
  send_draw_arrow(0,100,200,350,4,20.0,"SOLID","GREEN");
  send_draw_text(50,10,0,2.0,0.0,0,"Georgiab.ttf","RED","TRANSPARENT","CECI EST UN SIMPLE TEST");
  send_draw_text(50,550,0,2.0,0.0,0,"Vladimir.ttf","YELLOW","RED","ECRITURE DIRECTE");

  send_draw_icon(250,150,"Circle",1.0,"YELLOW");
  send_draw_icon_text(250,250,"Circle",1.0,"RED",2,4.0,20.0,0,"Georgiab.ttf","MAGENTA","White","CIRCLE");

  send_create_file(-1,0,0,700,700,700,700,"GIF","MYFILE.gif",90);
  send_unset_verbose();
}
