c		send_algebra_conv				Set direct pixel conversion (No direct action)
c		[call send_algebra_conv_f]
c			( text ) 
c			char *text				Fee text " 100 -> 200 300 -> 201"
c								In the example the original pixel value 100 before
c								applying the algebra equation will be directly transleted to 									pixel result 200. And 300 to pixel result 201.
c								This will be performed with the send_algebra command.
c
c		send_algebra 					Compute an algebra equation
c		[call send_algebra_f]
c			(Mask,SetVal,Expand,CutMin,CutMax,text)
c			int Mask 				[F,T] Use the mask plane as filter(Masked pixel are not computed)
c			int SetVal 				[F,T] Use the send_algebra_conv settings
c			int Expand 				[F,T] Color expand the image result to the view plane
c			float CutMin=0.000000 			values under Cutmin are = Cutmin
c			float CutMax=255.000000			values over CutMax are = CutMax
c			char *text               		Equation text "C[3,1]=rnd()*255"
c								C[3,1]=rnd()*255   Cell data plane 3 cell nb 1 
c								R=rnd()*255	   Red plane full size
c								P[100]=rnd()*255   Plane nb full size
c								see Sphinx algebra widget for operators

      print*,"Send clear graph area"
      call send_set_verbose_f()
      call send_clear_all_f(3,0,0,1024,1024)

      call send_algebra_f(0,0,1,0.0,255.0,"C[3,1]=rnd()*255")
      call send_algebra_f(0,0,1,0.0,255.0,"C[3,2]=rnd()*250")
      call send_algebra_f(0,0,1,0.0,255.0,"C[3,3]=C[3,2]-C[3,1]")
      call send_unset_verbose_f()
      stop
      end
