	integer T_CHAR,T_USHORT,T_SHORT,T_INT,T_FLOAT
	integer TRUE,FALSE
	parameter (T_CHAR=0,T_USHORT=1,T_SHORT=2,T_INT=3,T_FLOAT=4)
	real paramF(0:7),paramT(0:7)
	data paramF /0.0,0.0,0.0, 0.0,0.0,0.0, 0.0,0.0/
	data paramT /0.0,0.0,0.0, 0.0,0.0,0.0, 0.0,0.0/
	data FALSE,TRUE /0,1/

	integer  xf,yf,widthf,heighf,planef
	integer  xt,yt,widtht,height,planet
	real ymif,ymaf,xmif,xmaf
	real ymit,ymat,xmit,xmat
	real ymi,yma,ystep,xmi,xma,xstep

c       FROM image position (lines,columns)
	xf=0
	yf=0
	widthf=1000
	heighf=500
	planef=1

c       TO image position (lines,columns)
	xt=0
	yt=0
	widtht=1000
	height=500
	planet=3

c	FROM geometry
	ymif=-90
	ymaf=90
	xmif=-180
	xmaf=180

c       TO geometry
	ymit=-90
	ymat=90
	xmit=-180
	xmat=180

c       grids geometry
	ymi=-90
	yma=90
	ystep=10
	xmi=-180
	xma=180
	xstep=10


  	print*,"Send clear graph area"
	call send_set_verbose_f()
	call set_workpace_geometry_f(1000,1000,0,1000,1000)
  	call send_clear_all_f(3,xt,yt,widtht,height)

c       read file
	call send_read_other_f
     *   (1,xf,yf,widthf,heighf,FALSE,
     *   "../IMAGES/LINEAR_MAYFEB256.tif")

	call send_copy_lut_f(1,3)

	call send_show_view_f(3)

c       set a linear projection
        call set_projection_to_geometry_f(
     *   xt,yt,widtht,height,"LINEAR",
     *   ymit,ymat,xmit,xmat,paramT)

  	print*,"Send draw linear grids"
  	call send_grids_f(
     *  ymi,yma,ystep,xmi,xma,xstep,"BLUE",0,1)

  	paramT(3)=-120 !center longitude shift
c       set a SINUSOIDAL projection
        call set_projection_to_geometry_f(
     *   xt,yt,widtht,height,"SINUSOIDAL",
     *   ymit,ymat,xmit,xmat,paramT)

  	print*,"Send projection"
  	call send_projection_f(FALSE,
     *  planet,planef,xf,yf,widthf,heighf,"LINEAR",
     *	ymif,ymaf,xmif,xmaf,paramF)

  	print*,"Send draw SINUSOIDAL grids"
  	call send_grids_f(
     *  ymi,yma,ystep,xmi,xma,xstep,"RED",0,1)

        print*,"Send draw SINUSOIDAL map"
  	call send_world_map_f("GREEN",0,1,1)

	call send_unset_verbose_f()
	stop
	end
