#CREATE A GEOTIFF REPROJECTED IMAGE FILE FROM A MODIS LEVEL1B
#=============================================================
verbose
clear_data
set_output_directory            /home/louis/OUTPUTS
set_input_directory             /home/louis/MODIS_ALL_IMAGES/

set_projection_to_geometry ProjectionTo="SINUSOIDAL" WidthTo=1000 HeightTo=1000 \
                            LatitudeMinTo=-22.4  LatitudeMaxTo=-1.6 \
			    LongitudeMinTo=14.12 LongitudeMaxTo=39.4
#
add_maps        	Coastlines=yes CoastlineColor=Green
#add_grids color=Red LatitudeMin=-90.0  LatitudeMax=90.0 LatitudeStep=1.0 \
#                LongitudeMin=-180.0 LongitudeMax=180.0 LongitudeStep=1.0
set_image_background            color=black 
set_input_hdf_file   MOD021KM.A2001185.0840.003.2001305043629.hdf
create_MODIS_RGB_Mosaic    Filename="GEOTIFF_SINUSO"  RGBMode="Log"  CreateJPEG=no  CreateGEOTIFF=yes
